#include <iostream>

#include "osmtile.h"
#include <math.h>

#define PI 3.1415926535897932384626433832795

using namespace std;

int main(int argc, char**argv)
{
	int x;
	int y;
	int z;
	OSMTile t;
	
	if (argc != 4)
	{
		cout << "Usage: tile1 <X> <Y> <Zoom>" << endl;
		return 1;
	}
	
	x = atoi(argv[1]);
	y = atoi(argv[2]);
	z = atoi(argv[3]);
	cout << "X: " << x << " Y: " << y << " Zoom: " << z << endl;
	
	t.SetX(x);
	t.SetY(y);
	t.SetZoom(z);
	
	cout << "(" << t.MinLon << "," << t.MinLat << ") : ("  << t.MaxLon << "," << t.MaxLat << ")" << endl;
	
	return 0; 
}
